# Interface ParseOptions

Options supported by parse.

interface ParseOptions {
format?: string | string[];
isDateOnly?: boolean;
locale?: string;
timeZone?: string;
}

#####
Index

### Properties

format?
isDateOnly?
locale?
timeZone?

##
Properties

### `Optional` format

format?: string | string[]

Either a single format, or one of several possible formats that the input is expected to be in. If specified, the input must exactly match. See utilities/format/date!DateFormatter.format.

### `Optional` isDateOnly

isDateOnly?: boolean

Indicates if the date should be parsed without expecting the time component even if the format suggests there is a time.

### `Optional` locale

locale?: string

The locale to use when parsing the date. If not specified, the current locale is used (see locale module).

### `Optional` timeZone

timeZone?: string

The time zone of the date being parsed.